﻿<!DOCTYPE html>
<html lang="en">
  <head>
      <title>AJAX</title>
      <meta name='viewport' content='width=device-width, initial-scale=1.0, user-scalable=0'>
      <style>
        body {
          background-color:#b56576;
        }
        h1, p {
          text-align: center;
        }
        span {
          display: block;
          padding: 0.5vh;
          color: #f55e53;
        }
        span:nth-of-type(1){
          color: #0081a7;
        }
        ul {
          display: flex;
          flex-wrap: wrap;
          list-style-type: none;
          gap: 3vh;
          justify-content: center;
        }
        li {
          margin-bottom: 5vh;
          border: 1px solid saddlebrown;
          text-align: center;
          padding: 2vh;
          box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px, rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
          background-color: #fed9b7;
          border-radius: 2%;
        }
        #spinner {
          visibility: hidden;
          width: 80px;
          height: 80px;
          border: 2px solid #f3f3f3;
          border-top:3px solid #f25a41;
          border-radius: 100%;
          position: absolute;
          top:0;
          bottom:0;
          left:0;
          right: 0;
          margin: auto;
          animation: spin 1s infinite linear;
        }
        @keyframes spin {
          from {
              transform: rotate(0deg);
          } to {
              transform: rotate(360deg);
          }
        }
        #spinner.show {
          visibility: visible;
        }
        button {
          background-color: #0081a7;
          border-radius: 8px;
          border-style: none;
          box-sizing: border-box;
          color: #FFFFFF;
          cursor: pointer;
          display: block;
          font-weight: 500;
          height: 40px;
          line-height: 20px;
          list-style: none;
          outline: none;
          padding: 10px 16px;
          position: relative;
          text-align: center;
          text-decoration: none;
          transition: color 100ms;
          user-select: none;
          -webkit-user-select: none;
          touch-action: manipulation;
          margin: 0 auto;
        }
      </style>
  </head>

  <body>
    <div id="spinner"></div> 
    <h1>List of users</h1>
    <p>Click on the data in order to edit it</p>
    <ul></ul>
    <script src="js/index.js"></script>
  </body>
</html>
